## looking-glass 0%2Ba12

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -O3
export DPKG_EXPORT_BUILDFLAGS = 1

include  /usr/share/dpkg/pkg-info.mk
export DEB_VERSION

%:
	dh $@ --sourcedirectory=client

override_dh_install:
	dh_install --sourcedir=client
