=== repos/LGMP/lgmp/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 add_compile_options(
   "-Wall"
   "-Werror"
+  "-Wstrict-prototypes"
   "-Wfatal-errors"
   "-ffast-math"
   "-fdata-sections"
