=== repos/LGMP/lgmp/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.0)
+cmake_minimum_required(VERSION 3.10)
 project(lgmp LANGUAGES C)
 
 include_directories(include)
