=== debian/changelog ===
looking-glass (0+a12-2) unstable; urgency=medium

  * Remove shared memory file on purge
  * Updated Standards-Version to 4.3.0

 -- Lennart Weller <lhw@ring0.de>  Tue, 29 Jan 2019 12:05:10 +0100

looking-glass (0+a12-1) unstable; urgency=medium

  * Initial release. (Closes: #898931)

 -- Lennart Weller <lhw@ring0.de>  Fri, 25 Jan 2019 00:21:48 +0100
