=== debian/control ===
Source: looking-glass
Section: net
Priority: optional
Maintainer: Lennart Weller <lhw@ring0.de>
Build-Depends: cmake,
               debhelper (>= 11~),
               libconfig-dev,
               libfontconfig-dev,
               libsdl2-ttf-dev,
               libspice-protocol-dev,
               nettle-dev
Standards-Version: 4.3.0
Homepage: https://github.com/gnif/LookingGlass/
Vcs-Browser: https://salsa.debian.org/lhw-guest/looking-glass
Vcs-Git: https://salsa.debian.org/lhw-guest/looking-glass.git

Package: looking-glass-client
Architecture: amd64
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Enhances: qemu, qemu-kvm, xen
Description: Low latency KVM FrameRelay implementation for VGA Passthrough
 LookingGlass enables you to use shared memory to pass rendered frames from a
 virtual machine back to the host system.
 .
 A LookingGlass Host implementation is required to run on the guest virtual
 machine. It is recommended that the client and host versions match. See the
 README.Debian for more information.
