=== module/Makefile ===
obj-m += kvmfr.o
USER  := $(shell whoami)
KVER ?= $(shell uname -r)
KDIR ?= /lib/modules/$(KVER)/build

all:
	make -C $(KDIR) M=$(PWD) modules

clean:
	make -C $(KDIR) M=$(PWD) clean

test:	all
	grep -q '^uio'   /proc/modules || sudo modprobe uio
	grep -q '^kvmfr' /proc/modules && sudo rmmod kvmfr || true
	sudo insmod ./kvmfr.ko
	sudo chown $(USER) /dev/uio0
