=== debian/changelog ===
looking-glass (0+b1-5) unstable; urgency=low

  * Remove global qemu from enhances (Closes: #966260)
  * Specifically enhance qemu-system-x86
  * Make the dh linter happier

 -- Lennart Weller <lhw@ring0.de>  Sat, 25 Jul 2020 21:09:52 +0200

looking-glass (0+b1-4) unstable; urgency=low

  * Re-add upstream version to the version output

 -- Lennart Weller <lhw@ring0.de>  Wed, 29 Apr 2020 22:11:43 +0200

looking-glass (0+b1-3) unstable; urgency=medium

  * Remove backtrace support for now. Solving the binutils issue
  * Also remove potential bad optimizations

 -- Lennart Weller <lhw@ring0.de>  Thu, 16 Jan 2020 20:19:57 +0100

looking-glass (0+b1-2) unstable; urgency=medium

  * Fix FTBFS Bug with binutils 2.33 (Closes: #948529)

 -- Lennart Weller <lhw@ring0.de>  Mon, 13 Jan 2020 00:31:47 +0100

looking-glass (0+b1-1) unstable; urgency=medium

  * New upstream release

 -- Lennart Weller <lhw@ring0.de>  Mon, 22 Jul 2019 20:27:53 +0200
