=== debian/control ===
Source: looking-glass
Section: net
Priority: optional
Maintainer: Lennart Weller <lhw@ring0.de>
Build-Depends: cmake,
               debhelper (>= 12),
               debhelper-compat (= 12),
               libconfig-dev,
               libfontconfig-dev,
               libsdl2-ttf-dev,
               libspice-protocol-dev,
               nettle-dev
Standards-Version: 4.5.0
Homepage: https://looking-glass.hostfission.com
Vcs-Browser: https://salsa.debian.org/lhw-guest/looking-glass
Vcs-Git: https://salsa.debian.org/lhw-guest/looking-glass.git

Package: looking-glass-client
Architecture: amd64
Pre-Depends: ${misc:Pre-Depends} 
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: qemu-system-x86, xen-hypervisor
Description: Low latency KVM FrameRelay implementation for VGA Passthrough
 LookingGlass enables you to use shared memory to pass rendered frames from a
 virtual machine back to the host system.
 .
 A LookingGlass Host implementation is required to run on the guest virtual
 machine. It is recommended that the client and host versions match. See the
 README.Debian for more information.
